<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Graffiti</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
</head>

  <body>
    <div class="row">
      <!-- connexion -->
      <div class="col-sm-6">
          <h1>Connexion</h1>
          <div class="mx-auto" style="width: 300px;">
          <form class="justify-content-center" action="/" method="post" id="form_connexion">
                <input class="form-control" type="text" id="email" placeholder="Email"/>
                <input class="form-control" type="text" id="password" placeholder="Mot de passe"/>
                <input class="btn btn-success" type="submit" id="send" value="Valider"/>
          </form>
          </div>
      </div>
      <!-- inscription -->
      <div class="col-sm-6">
          <h1>Inscription</h1>
          <div class="mx-auto" style="width: 300px;">
          <form class="justify-content-center" action="/" method="post" id="form_subscription">
                <input class="form-control" type="text" id="email_sub" placeholder="Email"/>
                <input class="form-control" type="text" id="password_sub" placeholder="Mot de passe"/>
                <input class="form-control" type="text" id="first_name" placeholder="Prénom"/>
                <input class="form-control" type="text" id="last_name" placeholder="Nom"/>
                <input class="form-control" type="text" id="adress" placeholder="Adresse"/>
                <input class="form-control" type="text" id="tel" placeholder="Numéro de téléphone"/>
                <input class="btn btn-success" type="submit" id="send" value="Valider"/>
          </form>
          </div>
      </div>
    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.on('validate', function(message)
      {
        if (message.ok == true)
        {
          window.location.href = "http://localhost:8080/profile";
        }
        else
        {
          console.log(message.error);
        }
      });

      socket.on('admin', function(message) {
        if (message.ok == true) {
          window.location.href = "http://localhost:8080/admin";
        } else {
          console.log(message.error);
        }
      })

      $('#form_connexion').submit(function()
      {
        var email = $('#email').val();
        var password = $('#password').val();
        console.log(email, password);
        socket.emit('connexion', email, password);
        return false;
      });

      $('#form_subscription').submit(function()
      {
        var email = $('#email_sub').val();
        var password = $('#password_sub').val();
        var first_name = $('#first_name').val();
        var last_name = $('#last_name').val();
        var adress = $('#adress').val();
        var tel = $('#tel').val();
        console.log(email, password, first_name, last_name, adress, tel);
        socket.emit('subscription', email, password, first_name, last_name, adress, tel, 1);
        return false;
      });

    </script>
  </body>
</html>
